&EXECUTABLE;

1 Version 4.1

`&EXECUTABLE;`

generate bootstrap scripts to aid in the deployment / configuration of SUSE Manager client systems.

        &EXECUTABLE; [ options ... ] [ -h|--help ]

## Description

&EXECUTABLE; generates bootstrap scripts to be used by SUSE Manager client systems for the purpose of simplifying their initial configuration and bootstrapping them to a &SATANDORPROX;. This is a script generator. You then use those scripts to configure & register SUSE Manager clients.

Once the bootstrap script is generated (by default /srv/www/htdocs/pub/bootstrap/bootstrap.sh). The admin must edit it by hand to verify it is correct, and to enable it. It is then used to configure and register client systems as such:

`cd /srv/www/htdocs/pub/bootstrap/`

`cat bootstrap-<edited_name>.sh | ssh root@<client-hostname> /bin/bash`

...or...

`wget -qO- https://<hostname>/pub/bootstrap/bootstrap-<edited_name>.sh | /bin/bash`

...or...

`curl -Sks https://<hostname>/pub/bootstrap/bootstrap-<edited_name>.sh | /bin/bash`

## Options

--activation-keys=`ACTIVATION_KEYS`

- activation key(s) as defined in the SUSE Manager web UI - format is XKEY,YKEY,...

--overrides=`OVERRIDES_FILE`

- configuration overrides filename (by default: client-config-overrides.txt).

--script=`GENERATED_SCRIPT`

- bootstrap script filename (by default: boostrap.sh).

--hostname=`FQDN`

- hostname (FQDN) to which clients connect (default: this server's hostname)

--ssl-cert=`SSL_CERT_PATH`

- path to corporate CA public SSL certificate - an RPM or a raw certificate. It will be copied to --pub-tree. A value of "" will force a search of --pub-tree.

--gpg-key=`GPG_KEY_PATH`

- path to the corporate public GPG key, if used. It will be copied to --pub-tree. (default: "").

--http-proxy=`HOSTNAME:PORT`

- HTTP proxy setting for the clients - hostname:port. --http-proxy="" disables. (default: "")

--http-proxy-username=`HTTP_PROXY_USERNAME`

- if using an authenticating HTTP proxy, specify a username. --http-proxy-username="" disables. (Default: "").

--http-proxy-password=`HTTP_PROXY_PASSWORD`

- if using an authenticating HTTP proxy, specify a password. (default: "")

--no-gpg

- (not recommended) boolean; turn off GPG verification by the clients.

--no-up2date

- (not recommended) boolean; will not run the up2date section (full update usually) once bootstrapped.

--pub-tree

- (change not recommended) public directory tree where the CA SSL cert/cert-RPM will land as well as the bootstrap directory and scripts.

--force

- (not recommended) boolean; force bad decisions.

-v | --verbose

- be verbose (accumulative: -vvv means "be *really* verbose").

-h | --help

- Display the help screen with a list of options.

## Files

- /usr/bin/mgr-bootstrap
- /usr/bin/client-config-overrides.txt

## Examples

- `&EXECUTABLE; --activation-key XXX --http-proxy=""`
- `&EXECUTABLE; --activation-key XXX --gpg-key ~/taw-pub.key`

## Authors

- Todd Warner taw@redhat.com